routes/web.php
<?php

use App\Helpers\CustomerHelper;
use App\Http\Controllers\BillsController;
use App\Http\Controllers\CustomersController;
use App\Http\Controllers\CustomerWaresControler;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProductMarketController;
use App\Http\Controllers\ProductTemplateController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

/*------------------------------------------
--------------------------------------------
All Normal Users Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:user'])->group(function () {

    Route::get('/home', [HomeController::class, 'index'])->name('home');
});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:admin'])->group(function () {

    //customers
    Route::resource('admin/customers', CustomersController::class);
    Route::get('admin/delete_subcategory', [CustomersController::class, 'delete_subcategory']);
    Route::get('admin/downloadPDF', [CustomersController::class, 'downloadPDF']);

    //helpers
    Route::get('admin/show_subcategory_by_category_id', [CustomerHelper::class, 'show_subcategory_by_category_id']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/customers_autocomplete', [CustomerHelper::class, 'customers_autocomplete']);
    Route::get('admin/find_textiles_filters', [CustomerHelper::class, 'find_textiles_filters']);
    Route::get('admin/find_market_product', [CustomerHelper::class, 'find_market_product']);
    Route::get('admin/get_subcategoires_by_category_id', [CustomerHelper::class, 'get_subcategoires_by_category_id']);
    Route::get('admin/search_ware_name', [CustomerHelper::class, 'search_ware_name']);
    Route::get('admin/template_child_validator', [CustomerHelper::class, 'template_child_validator']);
    Route::get('admin/take_categories', [CustomerHelper::class, 'take_categories']);
    Route::get('admin/subcategories_for_category', [CustomerHelper::class, 'subcategories_for_category']);

//    Route::get('admin/customer/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);

    //ware
    Route::resource('admin/wares', CustomerWaresControler::class);
//    Route::get('admin/wares', [CustomerWaresControler::class, 'index']);

    //ware-textile
    Route::get('admin/textile', [CustomerWaresControler::class, 'customers_textile'])->name('textile');


    //bils
    Route::resource('admin/bills', BillsController::class);
//    Route::get('admin/bills', [BillsController::class, 'index']);
//    Route::get('admin/customers/{id}/create_bill', [BillsController::class, 'generate_bill'])->name('create_bill');
    Route::get("/admin/get_customer_coin", [CustomerHelper::class, 'get_customer_coin']);

    /*product template*/
    Route::resource('admin/templates', ProductTemplateController::class);
    Route::post('admin/templates/create_child_templates', [CustomerHelper::class, 'create_child_templates']);
    Route::get('admin/templates/show_template_child/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_child'])->name('templates.show_template_child');
    Route::get('admin/templates/show_template_table/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_table'])->name('templates.show_template_table');

    /*product market route*/
    Route::resource('admin/market', ProductMarketController::class);


});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:manager'])->group(function () {

    Route::get('/manager/home', [HomeController::class, 'managerHome'])->name('manager.home');
});

app/Models/ProductsMarket.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductsMarket extends Model
{
    use HasFactory;

    protected $fillable = [
        'type',
        'market_category',
        'order_date',
        'delivery_date',
        'production_batch_code',
        'selected_products',
        'product_name',
        'template_id',
        'manufactured_products',

    ];

}

resources/views/products_market/market_create.blade.php
@extends('layouts.app')

@section('content')

    <form action="{{ route('market.index') }}" method="POST">
        @csrf
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="type">Tipul</label>
                <select name="type" class="form-select">
                    <option>Real</option>
                    <option>Virtual</option>
                </select>
            </div>

            <div class="form-group col-md-6">
                <label for="market_category">Categorii</label>
                <select name="market_category" class="form-select">
                    <option>Vanzare</option>
                    <option>Model</option>
                </select>
            </div>
            <div class="form-group col-md-6">
                <label for="order_date">Data Comenzii</label>
                <input type="date" name="order_date" class="form-control" id="inputAddress" placeholder="">
            </div>

            <div class="form-group col-md-6">
                <label for="delivery_date">Data Livrarii</label>
                <input type="date" name="delivery_date" class="form-control" id="inputAddress" placeholder="">
            </div>
            {{--nu stiu aici inca ce e--}}
            <div class="form-group col-md-0">
                <input type="radio" id="html" name="fav_language" value="HTML">
                <label for="html">Partiale</label>
            </div>

            <div class="form-group col-md-6">
                <input type="radio" id="css" name="fav_language" value="CSS">
                <label for="css">Totale</label>
            </div>
            {{--nu stiu aici inca ce e end--}}

            <div class="form-group col-md-6">
                <label for="production_batch_code">Codul lotului de produs</label>
                <input type="text" name="production_batch_code" class="form-control" id="inputAddress2" placeholder="">
            </div>

            <div class="form-group col-md-6">
                <label for="selected_products">#produse SELECTATE</label>
                <input type="text" class="form-control" name="selected_products" id="inputAddress2" placeholder="">
            </div>

            <div class="form-group col-md-6">
                <label for="product_name">Numele produsului</label>
                <input type="text" name="product_name" class="form-control" id="find_product_name" placeholder="">
            </div>

            <div class="form-group col-md-6">
                <label for="inputAddress2">Codul produsului</label>
                <input type="text" class="form-control" id="test3" placeholder="">
            </div>

            <div class="form-group col-md-6">
                <label for="manufactured_products">Produse fabricate</label>
                <input type="text" name="manufactured_products" class="form-control" id="inputAddress2" placeholder="">
            </div>

            {{--aici trebueie sa vad cum trebuie facut mai exact--}}
            <div class="form-group col-md-6">
                <label for="inputEmail4">Curieri</label>
                <select name="" class="form-select">
                    <option>....</option>
                </select>
            </div>

            <div class="form-group col-md-6">
                <label for="inputEmail4">Banci</label>
                <select name="" class="form-select">
                    <option>....</option>
                </select>
            </div>

            <div class="form-group col-md-6">
                <label for="inputEmail4">Taxe</label>
                <select name="" class="form-select">
                    <option>....</option>
                </select>
            </div>

            <div class="form-group col-md-6">
                <label for="inputEmail4">Altele</label>
                <select name="" class="form-select">
                    <option>....</option>
                </select>
            </div>
            {{--aici trebueie sa vad cum trebuie facut mai exact end--}}

        </div>

        <button type="submit" class="btn btn-primary">Creaza</button>
    </form>
@endsection

resources/views/products_market/market_index.blade.php
@extends('layouts.app')

@section('content')

    <div class="container">
        <div>
            <div class="row">
                <div class="col-lg-12 margin-tb">
                    <div class="pull-right">
                        <a class="btn btn-secondary" href="{{ route('market.create') }}"> LANSARE PRODUCTIE</a>
                    </div>
                </div>

            </div>
        </div>
        <div class="container ">
            <div class="row searchFilter-custom card round3">

                <div class="col-lg-12 box-filter">
                    <form action="{{ route('customers.index') }}" method="get">
                        <div>
                            <h4>SELECTEAZA:</h4>
                        </div>
                        <br>

                        <br>
                        <div class="input-group item-left filter-item1">
                            <div>
                                <div>
                                    <input type='text'
                                           id="find_customer"
                                           name="customer_name"
                                           placeholder="--Selecteaza un Client--"
                                           class="form-control filter-control rounded-pill"
                                    >
                                </div>
                            </div>

                            <div>
                                <div>
                                    <select name="customer_type" id="department"
                                            class="form-control rounded-pill filter-control">
                                        {{-- <option value="{{$filtering_criteria['type']['name'] ?? ''}}"> {{$filtering_criteria['type']['nume'] ?? '-- Selecteaza tipul --'}} </option> --}}
                                        <option value="customer"> Beneficiar</option>
                                        <option value="provider">Furnizor</option>
                                    </select>
                                </div>
                            </div>


                            <div>
                                <select name="category" id="department"
                                        class="form-control rounded-pill filter-control">

                                    <option
                                        value="{{$filtering_criteria['category']->category_id ?? ''}}"> {{$filtering_criteria['category']->name ?? '-- Selecteaza o categorie --'}}</option>

                                    {{--                                @foreach ($furnace_categories as $furnace_category)--}}

                                    {{--                                    <option--}}
                                    {{--                                        value="{{$furnace_category->category_id}}">{{ $furnace_category->name }}</option>--}}

                                    {{--                                @endforeach--}}
                                </select>

                            </div>

                            <div>
                                <input type='text'
                                       name="subcategory"
                                       list="browsers"
                                       placeholder="--Selecteaza o subcategorie--"
                                       class="form-control filter-control rounded-pill"
                                       value="{{$filtering_criteria['subcategory'] ?? ''}}"
                                >

                                <datalist id="browsers" class="dropdown">

                                    {{--                                @foreach ($subcategories as $subcategory)--}}
                                    {{--                                    <option>{{ $subcategory->name }}</option>--}}
                                    {{--                                @endforeach--}}
                                </datalist>

                            </div>
                        </div>


                        <div class="filter-item_OK ">
                            <button id="searchBtn" type="submit" class="btn btn-secondary"> OK</button>
                        </div>

                        <div class="pdf-style">

                            {{--                        @if($customers)--}}
                            {{--                            <button type="submit" name="downloadPDF" value="PDF" class="btn btn-info">SALVEAZA ca .pdf--}}
                            {{--                            </button>--}}
                            {{--                        @endif--}}
                        </div>
                    </form>

                    <form>
                        <div class="revert-b">
                            <button type="submit" class="btn btn-secondary">REVERT</button>
                        </div>
                    </form>
                </div>

            </div>

        </div>
    </div>


@endsection